0

I am running Magento 2.2.3 together with PHP 7.1.32. The M2E Pro extension throws the Function mcrypt_module_close() is deprecated error.

I tried adding @ in front of any mcrypt calls, did not work. The strange thing is, it complains about line 112 in vendor/magento/framework/Encryption/Crypt.php but the line has the @ in front of the call, like this:

 @mcrypt_module_close($this->_handle);

So any idea what I might try?

  • Try to run composer update command and see are you getting same issue or not. – Nits Oct 9 at 13:40
  • So you want me to update the Magento version? – Arnie Oct 9 at 13:46
  • No just run composer update command and see it is working fine or not. – Nits Oct 9 at 16:37
  • What would be the result of running that command? Wouldnt it update something? – Arnie Oct 9 at 21:11
  • 1
    @Arnie: i also faced exact the similar issue. this is PHP version issue. Upgrade your php version in 7.2 or 7.2+. or you can install mcrypt for your current php version. – Balwant Singh Oct 9 at 22:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.